This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 703301 - [jboss-as/jboss-as-5 plug-in] Unable to import JBoss AS instance which utilize shared configuration
[jboss-as/jboss-as-5 plug-in] Unable to import JBoss AS instance which utiliz...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
3.0.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-09 17:28 EDT by Larry O'Leary
Modified: 2011-10-07 15:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
JON 2.4.1 EAP 5.1
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Legacy) 55596 None None None Never

  None (edit)
Description Larry O'Leary 2011-05-09 17:28:44 EDT
Description of problem:
If a JBoss AS server is already in inventory, additional JBoss AS servers will not be discovered or can not be manually added if they share the same profile.

For example, starting two JBoss AS instances:


"${JBOSS_HOME}/bin/run.sh" -c serverOne -b 127.0.0.1 \
   -Djboss.server.config.url="file://${JBOSS_HOME}/default/conf/" \
   -Djboss.server.lib.url="file://${JBOSS_HOME}/default/lib/" \
   -Djboss.server.home.dir="${JBOSS_HOME}/default/" \
   -Djboss.server.home.url="file://${JBOSS_HOME}/default/" \
   -Djboss.server.data.dir="/opt/jboss/data/serverOne/servers/localhost/data" \
   -Djboss.server.log.dir="/opt/jboss/data/serverOne/servers/localhost/logs" \
   -Djboss.server.temp.dir="/opt/jboss/data/serverOne/servers/localhost/tmp" \
   -Dcustom.deployments="/opt/jboss/applications/serverOne/application/" \
   -Dcustom.xmbean.attr.dir="/opt/jboss/data/serverOne/servers/localhost/data/xmbean-attrs" \
   -Djavax.servlet.context.tempdir="/opt/jboss/data/serverOne/servers/localhost/work" \
   -Djboss.service.binding.set=ports-01 \
   -DpropsDirPath="/opt/jboss/applications/serverOne/properties" &

"${JBOSS_HOME}/bin/run.sh" -c serverTwo -b 127.0.0.1 \
   -Djboss.server.config.url="file://${JBOSS_HOME}/default/conf/" \
   -Djboss.server.lib.url="file://${JBOSS_HOME}/default/lib/" \
   -Djboss.server.home.dir="${JBOSS_HOME}/default/" \
   -Djboss.server.home.url="file://${JBOSS_HOME}/default/" \
   -Djboss.server.data.dir="/opt/jboss/data/serverTwo/servers/localhost/data" \
   -Djboss.server.log.dir="/opt/jboss/data/serverTwo/servers/localhost/logs" \
   -Djboss.server.temp.dir="/opt/jboss/data/serverTwo/servers/localhost/tmp" \
   -Dcustom.deployments="/opt/jboss/applications/serverTwo/application/" \
   -Dcustom.xmbean.attr.dir="/opt/jboss/data/serverTwo/servers/localhost/data/xmbean-attrs" \
   -Djavax.servlet.context.tempdir="/opt/jboss/data/serverTwo/servers/localhost/work" \
   -Djboss.service.binding.set=ports-01 \
   -DpropsDirPath="/opt/jboss/applications/serverTwo/properties" &


Only one of these instances can be in inventory. This is because the resourceKey is generated based on the jboss.server.home.dir property and does not take configuration into consideration. If configName was used in conjunction with jboss.server.home.dir the conflict/overlap wouldn't occur.

Note You need to log in before you can comment on or make changes to this bug.